Author Topic: Scripts do not run - V15  (Read 482 times)

peterc

  • EA User
  • **
  • Posts: 84
  • Karma: +4/-0
    • View Profile
Scripts do not run - V15
« on: July 16, 2019, 05:37:29 pm »
Since V15 beta, I am unable to run scripts... I have upgraded to the latest V15 RC (1505) and still can't run scripts.I have only tried JScript, as that is the type of script that I use.

I still have 14.1.1429 installed and scripts run in that.

A colleague has installed V15 (1505) without going through the betas and he can run scripts - does anyone have any clues as to how this might be resolved? I did (once) have a message pop-up about a DLL but it does not re-occur (and unhelpfully I did not note what the error message said).

Ideally I want to avoid uninstalling all of my versions of EA, not least because I have customised window positions etc. (I have a number of older versions installed in parallel for the very reason when I find a new bug that I can go back and use a different version if necessary).

Nabil

  • EA User
  • **
  • Posts: 141
  • Karma: +5/-2
    • View Profile
    • View My LinkedIn Profile Here
Re: Scripts do not run - V15
« Reply #1 on: July 16, 2019, 05:46:13 pm »
Hi Peter,
I remember this was because of some installation where you both versions installed and the v15 is looking for scripting engine in v15. If you have 14 rename ea in program file as ea14 then install ea 15
Nabil

peterc

  • EA User
  • **
  • Posts: 84
  • Karma: +4/-0
    • View Profile
Re: Scripts do not run - V15
« Reply #2 on: July 16, 2019, 06:18:48 pm »
I did rename (or probably copied) the EA14 installation folder to another one before installing V15. If the scripting engine has changed then I would have expected V15 to install it - I am wondering whether an early beta failed to do so (or not fully/incorrectly) and the later V15 has not then completed it.

peterc

  • EA User
  • **
  • Posts: 84
  • Karma: +4/-0
    • View Profile
Re: Scripts do not run - V15
« Reply #3 on: August 06, 2019, 10:48:37 pm »
In the absence of any alternative suggestions, either here or direct from Sparx after raising a bug report, I tried the option of uninstall and re-install V15.

But scripts still don't run in V15 (but they do still work in V14 - I had previously renamed or copied the installation folder for some previous versions when running the beta).

I had rather expected that a re-install would give me a clean install and everything would work fine.

What might an early beta version have done that is now not working? I do have access to a colleagues working install which might help if I need to re-instate something, a DLL or some registry setting.

hugelsb

  • EA User
  • **
  • Posts: 20
  • Karma: +0/-0
  • Modelling is the future!
    • View Profile
Re: Scripts do not run - V15
« Reply #4 on: November 05, 2019, 07:57:41 am »
Unfortunately I have the same issue with a new EA 15 installation on my Windows 10 notebook. Would be grateful for any tip.

Eve

  • EA Administrator
  • EA Guru
  • *****
  • Posts: 6829
  • Karma: +65/-7
    • View Profile
Re: Scripts do not run - V15
« Reply #5 on: November 05, 2019, 10:08:32 am »
Unfortunately the upgrade of the Javascript engine introduced a dependency on the VC runtime which was not detected before release.

We are working on removing that dependency, but in the mean time the workaround is to download the x86 VS 2017 runtime files from Microsoft.

https://support.microsoft.com/en-us/help/2977003/the-latest-supported-visual-c-downloads


Eve

support@sparxsystems.com